package com.diagbot.facade;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.DoctorAdviceDTO;
import com.diagbot.service.impl.DoctorAdviceServiceImpl;
import com.diagbot.util.SysUserUtils;
import com.diagbot.vo.DoctorAdviceVO;
import org.springframework.stereotype.Component;

/**
 * @Description:
 * @author: zhoutg
 * @time: 2020/4/12 11:39
 */
@Component
public class DoctorAdviceFacade extends DoctorAdviceServiceImpl {

    public IPage<DoctorAdviceDTO> getPageFac(DoctorAdviceVO doctorAdviceVO){
        doctorAdviceVO.setHospitalId(Long.valueOf(SysUserUtils.getCurrentHospitalID()));
        return this.getPage(doctorAdviceVO);
    }
}
