package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @Description:
 * @author: gaodm
 * @time: 2020/7/13 14:59
 */
@Getter
@Setter
public class DoctorAdviceVO extends Page {
    /**
     * 医院id
     */
    @ApiModelProperty(hidden = true)
    private Long hospitalId;

    /**
     * 病人ID
     */
    @NotBlank(message = "请输入病人ID")
    private String behospitalCode;
}
